/*
 * IvaHandler.java
 *
 * Created on 10 de agosto de 2004, 18:33
 */

package com.fenalco.servlets.sysmanager;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author  andres
 * @version
 */
public class IvaHandler extends HttpServlet {
    
    /** Inicializa el servlet.
     */
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        
    }
    
    /** Destruye el servlet.
     */
    public void destroy() {
        
    }
    
    /** Procesa las peticiones de los mètodos HTTP <code>GET</code> y <code>POST</code>.
     * @param request peticiòn al servlet
     * @param response respuesta del servlet
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        /* TODO output your page here
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Servlet</title>");
        out.println("</head>");
        out.println("<body>");
         
        out.println("</body>");
        out.println("</html>");
         */
        out.close();
    }
    
    /** Maneja el mètodo HTTP <code>GET</code>
     * @param request peticiòn al servlet
     * @param response respuesta del servlet
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Maneja el mètodo HTTP <code>POST</code>
     * @param request peticiòn al servlet
     * @param response respuesta del servlet
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Retorna una corta descripciòn del servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    
}
